﻿/* 
    SRT specific stuff

*/

.srt-nopad {
    padding: 0 0 0 0;
}

.srt-dx-icon-mail {
    -webkit-mask-image: url("./img/dx-icons/search.svg");
    mask-image: url("./img/dx-icons/search.svg");
}
/* Editors */
.srt-dx-icon,
.dxbl-btn .srt-dx-icon {
    width: 1rem;
    height: 1rem;
    background-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    opacity: 0.7;
}

.srt-icon {
    content: "icn";
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    background-color: currentColor;
    background-repeat: no-repeat;
}

.srt-icon-2x {
    width: 3rem;
    height: 3rem;
}




.srt-icon-mui-shield-yes {
    mask-image: url("../img/mui-icons/shield-yes.svg");
    -webkit-mask-image: url("../img/mui-icons/shield-yes.svg");
}

.srt-icon-mui-shop {
    mask-image: url("../img/mui-icons/shop.svg");
    -webkit-mask-image: url("../img/mui-icons/shop.svg");
}

.srt-icon-mui-shield-no {
    mask-image: url("../img/mui-icons/shield-no.svg");
    -webkit-mask-image: url("../img/mui-icons/shield-no.svg");
}

.srt-icon-mui-circle-plus {
    mask-image: url("../img/mui-icons/circle-plus.svg");
    -webkit-mask-image: url("../img/mui-icons/circle-plus.svg");
}

.srt-icon-mui-circle-minus {
    mask-image: url("../img/mui-icons/circle-minus.svg");
    -webkit-mask-image: url("../img/mui-icons/circle-minus.svg");
}

.srt-icon-mui-expand {
    mask-image: url("../img/mui-icons/expand.svg");
    -webkit-mask-image: url("../img/mui-icons/expand.svg");
}

.srt-icon-mui-language {
    mask-image: url("../img/mui-icons/language.svg");
    -webkit-mask-image: url("../img/mui-icons/language.svg");
}

.srt-icon-mui-openfull {
    mask-image: url("../img/mui-icons/openfull.svg");
    -webkit-mask-image: url("../img/mui-icons/openfull.svg");
}

.srt-icon-mui-undo {
    mask-image: url("../img/mui-icons/undo.svg");
    -webkit-mask-image: url("../img/mui-icons/undo.svg");
}

.srt-icon-mui-apply {
    mask-image: url("../img/mui-icons/apply.svg");
    -webkit-mask-image: url("../img/mui-icons/apply.svg");
}

.srt-icon-mui-refresh {
    mask-image: url("../img/mui-icons/refresh.svg");
    -webkit-mask-image: url("../img/mui-icons/refresh.svg");
}

.srt-icon-dx-search {
    mask-image: url("../img/dx-icons/search.svg");
    -webkit-mask-image: url("../img/dx-icons/search.svg");
}

.srt-icon-mui-profile {
    mask-image: url("../img/mui-icons/profile.svg");
    -webkit-mask-image: url("../img/mui-icons/profile.svg");
}

.srt-icon-mui-user {
    mask-image: url("../img/mui-icons/user.svg");
    -webkit-mask-image: url("../img/mui-icons/user.svg");
}

.srt-icon-mui-group {
    mask-image: url("../img/mui-icons/group.svg");
    -webkit-mask-image: url("../img/mui-icons/group.svg");
}

.srt-icon-mui-help {
    mask-image: url("../img/mui-icons/help.svg");
    -webkit-mask-image: url("../img/mui-icons/help.svg");
}


.srt-icon-mui-burger {
    mask-image: url("../img/mui-icons/burger.svg");
    -webkit-mask-image: url("../img/mui-icons/burger.svg");
}

.srt-icon-mui-down {
    mask-image: url("../img/mui-icons/down.svg");
    -webkit-mask-image: url("../img/mui-icons/down.svg");
}

.srt-icon-mui-burger-open {
    mask-image: url("../img/mui-icons/burger-open.svg");
    -webkit-mask-image: url("../img/mui-icons/burger-open.svg");
}

.srt-icon-mui-home {
    mask-image: url("../img/mui-icons/home.svg");
    -webkit-mask-image: url("../img/mui-icons/home.svg");
}

.srt-icon-mui-globe {
    mask-image: url("../img/mui-icons/globe.svg");
    -webkit-mask-image: url("../img/mui-icons/globe.svg");
}

.srt-icon-mui-server {
    mask-image: url("../img/mui-icons/server.svg");
    -webkit-mask-image: url("../img/mui-icons/server.svg");
}

.srt-icon-mui-shield {
    mask-image: url("../img/mui-icons/shield.svg");
    -webkit-mask-image: url("../img/mui-icons/shield.svg");
}

.srt-icon-mui-c4u {
    mask-image: url("../img/mui-icons/c4u.svg");
    -webkit-mask-image: url("../img/mui-icons/c4u.svg");
}

.srt-icon-mui-more {
    mask-image: url("../img/mui-icons/more.svg");
    -webkit-mask-image: url("../img/mui-icons/more.svg");
}

.srt-icon-mui-report {
    mask-image: url("../img/mui-icons/report.svg");
    -webkit-mask-image: url("../img/mui-icons/report.svg");
}

.srt-icon-mui-add {
    mask-image: url("../img/mui-icons/add.svg");
    -webkit-mask-image: url("../img/mui-icons/add.svg");
}


.srt-icon-mui-import {
    mask-image: url("../img/mui-icons/import.svg");
    -webkit-mask-image: url("../img/mui-icons/import.svg");
}

.srt-icon-mui-export {
    mask-image: url("../img/mui-icons/export.svg");
    -webkit-mask-image: url("../img/mui-icons/export.svg");
}

.srt-icon-mui-backup {
    mask-image: url("../img/mui-icons/backup.svg");
    -webkit-mask-image: url("../img/mui-icons/backup.svg");
}

.srt-icon-mui-start {
    mask-image: url("../img/mui-icons/start.svg");
    -webkit-mask-image: url("../img/mui-icons/start.svg");
}

.srt-icon-mui-stop {
    mask-image: url("../img/mui-icons/stop.svg");
    -webkit-mask-image: url("../img/mui-icons/stop.svg");
}

.srt-icon-mui-del {
    mask-image: url("../img/mui-icons/del.svg");
    -webkit-mask-image: url("../img/mui-icons/del.svg");
}

.srt-icon-mui-edit {
    mask-image: url("../img/mui-icons/tune.svg");
    -webkit-mask-image: url("../img/mui-icons/tune.svg");
}

.srt-icon-mui-setting {
    mask-image: url("../img/mui-icons/settings.svg");
    -webkit-mask-image: url("../img/mui-icons/settings.svg");
}

.srt-icon-logo {
    mask-image: url("../img/srtbadge.png");
    -webkit-mask-image: url("../img/srtbadge.png");
}

.srt-hide-group-header {
    visibility: hidden;
    height: 0;
}
